[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# EqualRect

Check if two rectangles are equal.

## Declaration

Source position: types.pp line 291

`function EqualRect(`
`const r1: TRect;`
`const r2: TRect`
`):Boolean;`

## Description

EqualRect returns True if the rectangles R1 and R2 are equal (i.e. have the position and size). If the rectangles differ, the function returns False

## See also

Rect |  | Create a rectangle record
Bounds |  | Create a rectangle, given a position and size
PtInRect |  | Check whether a point is inside a rectangle.
IntersectRect |  | Return the intersection of 2 rectangles
UnionRect |  | Return the union of 2 rectangles.
IsRectEmpty |  | Check whether a rectangle is empty
OffsetRect |  | Offset the rectangle
InflateRect |  | Increase the rectangle in size, keeping it centered
Size |  | Return the size of the rectangle

Documentation generated on: Feb 26 2014